com.fasterxml.aalto.evt

## Class EventReaderImpl

- java.lang.Object
- - org.codehaus.stax2.ri.Stax2EventReaderImpl
  - - com.fasterxml.aalto.evt.EventReaderImpl

- All Implemented Interfaces:
    Iterator, XMLEventReader, XMLStreamConstants, org.codehaus.stax2.XMLEventReader2

      public final class EventReaderImpl
      extends org.codehaus.stax2.ri.Stax2EventReaderImpl

  Simple implementation based on Stax2 reference implementation base.

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.stax2.ri.Stax2EventReaderImpl

      `ERR_GETELEMTEXT_NON_TEXT_EVENT, ERR_GETELEMTEXT_NOT_START_ELEM, ERR_NEXTTAG_NON_WS_TEXT, ERR_NEXTTAG_WRONG_TYPE, mAllocator, mPrePeekEvent, mReader, mState, STATE_CONTENT, STATE_END_OF_INPUT, STATE_INITIAL`

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventReaderImpl(XMLEventAllocator a, org.codehaus.stax2.XMLStreamReader2 r)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getErrorDesc(int errorType, int currEvent)`
    `boolean` | `isPropertySupported(String name)`
    `protected void` | `reportProblem(String msg, Location loc)`
    `boolean` | `setProperty(String name, Object value)`

    - ### Methods inherited from class org.codehaus.stax2.ri.Stax2EventReaderImpl

      `close, createNextEvent, createStartDocumentEvent, getElementText, getProperty, getStreamReader, hasNext, hasNextEvent, next, nextEvent, nextTag, peek, remove, reportProblem, throwUnchecked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventReaderImpl

          public EventReaderImpl(XMLEventAllocator a,
                         org.codehaus.stax2.XMLStreamReader2 r)

  - ### Method Detail

    - #### getErrorDesc

          protected String getErrorDesc(int errorType,
                            int currEvent)

      Specified by:
        `getErrorDesc` in class `org.codehaus.stax2.ri.Stax2EventReaderImpl`

    - #### isPropertySupported

          public boolean isPropertySupported(String name)

      Specified by:
        `isPropertySupported` in interface `org.codehaus.stax2.XMLEventReader2`
      Specified by:
        `isPropertySupported` in class `org.codehaus.stax2.ri.Stax2EventReaderImpl`

    - #### setProperty

          public boolean setProperty(String name,
                            Object value)

      Specified by:
        `setProperty` in interface `org.codehaus.stax2.XMLEventReader2`
      Specified by:
        `setProperty` in class `org.codehaus.stax2.ri.Stax2EventReaderImpl`

    - #### reportProblem

          protected void reportProblem(String msg,
                           Location loc)
                                throws XMLStreamException

      Overrides:
        `reportProblem` in class `org.codehaus.stax2.ri.Stax2EventReaderImpl`
      Throws:
        `XMLStreamException`

Copyright © 2018 FasterXML. All rights reserved.